<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_optimize_speedup($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-optimize'); // 元の値を保持

	/* スクリプトの遅延読み込み */
	if ( isset( $value['use-defer-script'] ) && $value['use-defer-script'] === '1' ) {
		$value['use-defer-script'] = '1'; // 明示的に '1' を設定
	} else {
		$value['use-defer-script'] = ''; // チェックされていない場合は空文字を設定
	}

	/* .htaccessへの追記 */
	if ( isset( $value['add-htaccess-su-code'] ) && $value['add-htaccess-su-code'] === '1' ) {
		$value['add-htaccess-su-code'] = '1'; // 明示的に '1' を設定
	} else {
		$value['add-htaccess-su-code'] = ''; // チェックされていない場合は空文字を設定
	}

	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}